      module smuc
         integer,save :: norb
      end module smuc
      module don
         integer,save :: nl,ninac,noac
         integer,save,allocatable,dimension(:) :: numina,numac
         !integer,save,dimension(500) :: numina,numac
      end module don
      module bas
         real(8),allocatable,dimension(:,:) :: coor
         character(8) orbi!,base
!         common/bas/
!     *   orbi(nfix),nbas(nfix),nbast(0:nfix),natom,atom(100),base(nfix)
         dimension nbas(:),nbast(:),atom(:),orbi(:)!,base(:)
         character(4) atom
         allocatable nbas,nbast,atom,orbi!,base
         save orbi,nbas,nbast,atom,natom!,base
         integer nbast,nbas,natom,noacs(8)
      end module bas
      module typ
         integer,save,allocatable,dimension(:) :: itype
         integer,save :: ntyp
      end module typ
      module densch
         double precision,save,allocatable,dimension(:) :: occ
      end module densch
      module mod_sym
         character(3) sym1(7)
         allocatable mult1(:)
         integer,save :: msym,natom1
         logical,save :: ysym=.false.,ycallsymetrie=.false.,
     *   ydatoto=.false.
      end module mod_sym
